@ECHO OFF

REM -----------------------------
REM Disable IIS Logging for Beckhoff MdpWebservice
REM Version:    1.1
REM Autor:      TJ
REM Content:
REM             - 2019-05-27:   first implementation
REM                             WES7 / Windows 7 and abouve supported
REM             - 2019-06-04:   commit configuration for appropriate location section
REM -----------------------------

GOTO IIS7

:IIS7
REM IIS7 Part for Windows 7 till Windows 10
%Systemroot%\system32\inetsrv\appcmd.exe set config "Default Web Site/config" /section:httpLogging /dontLog:True /commit:apphost
%Systemroot%\system32\inetsrv\appcmd.exe set config "Default Web Site/MdpWebService" /section:httpLogging /dontLog:True /commit:apphost

REM Remove existing log files
CHOICE /M "Logfiles from all IIS Virtual Directories will be cleared. Clear all existing LogFiles?"
IF %ERRORLEVEL% EQU 1 (
    DEL %SystemDrive%\inetpub\logs\LogFiles\*.* /F /S /Q
    ECHO All LogFiles cleared
    )

:END
ECHO Done...
PAUSE
